/* Koala splitter v0.5beta
   (2010) By Lobogris 

   entras un fichero koala

   y te genera 3 archivos:
               bitmapram.bin 8000 bytes
               screenram.bin 1000 bytes
               colourram.bin 1000 bytes
   y te muestra el numero de color del fondo.
*/

#include <stdio.h>

int main()
{
FILE *fi1,*fi2,*fi3,*fi4;
char fichero[40];    
int c=0;
unsigned char koala[10004]; // buffer con todo el koala
printf("\nKoala Splitter v0.5B by Lobogris (2010)\n\n");
printf("Enter Filename: ");
scanf("%s",fichero);
printf("\nProcessing %s...\n",fichero);

if ((fi1=fopen(fichero,"rb"))==NULL) {
    printf("ERROR: Your specified file doesn't exist.\n");
    exit(1);
   }
fgetc(fi1); // se salta la cabecera de 2 bytes
fgetc(fi1);

fi2=fopen("bitmapram.bin","wb");
fi3=fopen("screenram.bin","wb");
fi4=fopen("colourram.bin","wb");

while (feof(fi1)==0) {
   koala[c]=fgetc(fi1); // guarda todo el koala en buffer
   c++;
}
printf("%d Bytes read.\n\n",c-1);
fclose(fi1);

printf("Creating files:\n\n");

// graba la informacion del bitmap en "bitmapram.bin"
for (c=0;c<=7999;++c) fputc(koala[c],fi2); 
printf("bitmapram.bin\n");
// graba la informacion de la ram de pantalla en "screenram.bin"
for (c=8000;c<=8999;++c) fputc(koala[c],fi3); 
printf("screenram.bin\n");
// graba la informacion de la ram de color en "colourram.bin"
for (c=9000;c<=9999;++c) fputc(koala[c],fi4); 
printf("colourram.bin\n");
fclose(fi2);
fclose(fi3);
fclose(fi4);
printf("\nThe Background colour is = $%0.2X\n",koala[10000]);

printf("\nReady.\n");

}
